<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />

        <variable
            name="onClickListener"
            type="android.view.View.OnClickListener" />
    </data>

    <android.support.design.widget.CoordinatorLayout
        android:id="@+id/loginCoordinator"
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">


                    <RelativeLayout
                        android:id="@+id/backgroundLayout"
                        android:layout_width="match_parent"
                        android:layout_height="200dp">

                        <ImageView
                            android:id="@+id/backgroundIv"
                            android:layout_width="match_parent"
                            android:layout_height="200dp"
                            android:layout_alignParentStart="true"
                            android:layout_alignParentTop="true"
                            android:background="@drawable/login_image"
                            android:scaleType="fitXY" />

                        <ImageView
                            android:id="@+id/logoIv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:scaleType="fitXY"
                            android:src="@drawable/logo" />
                    </RelativeLayout>


                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_below="@+id/backgroundLayout"
                        android:layout_marginTop="-60dp"
                        android:background="@android:color/transparent"
                        android:orientation="vertical">

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginEnd="5dp"
                            android:layout_marginStart="5dp"
                            android:layout_marginTop="25dp"
                            android:background="@android:color/transparent">

                            <android.support.v7.widget.CardView
                                android:id="@+id/cardView"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                app:cardPreventCornerOverlap="false">

                                <View
                                    android:layout_width="match_parent"
                                    android:layout_height="@dimen/_6sdp"
                                    android:background="@color/colorPrimary" />

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:layout_marginEnd="30dp"
                                    android:layout_marginStart="30dp"
                                    android:layout_marginTop="30dp"
                                    android:gravity="center_horizontal"
                                    android:orientation="vertical">

                                    <TextView
                                        android:id="@+id/titleTv"
                                        style="@style/TextPrimaryBold"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/app_name" />

                                    <TextView
                                        android:id="@+id/descriptionTv"
                                        style="@style/TextGray"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:gravity="center"
                                        android:text="@string/you_can_register" />

                                    <!--<TextView-->
                                        <!--android:id="@+id/cityTv"-->
                                        <!--style="@style/TextPrimary"-->
                                        <!--android:layout_width="match_parent"-->
                                        <!--android:layout_height="wrap_content"-->
                                        <!--android:layout_marginTop="10dp"-->
                                        <!--android:text="@string/city" />-->

                                    <!--<EditText-->
                                        <!--android:id="@+id/cityEt"-->
                                        <!--android:layout_width="match_parent"-->
                                        <!--android:layout_height="wrap_content"-->
                                        <!--android:gravity="start" />-->

                                    <TextView
                                        android:id="@+id/mobileNumberTv"
                                        style="@style/TextPrimary"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginTop="@dimen/_20sdp"
                                        android:text="@string/mobile_number" />

                                    <EditText
                                        android:id="@+id/mobileNumberEt"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:gravity="start"
                                        android:inputType="number" />

                                    <TextView
                                        android:id="@+id/passwordTv"
                                        style="@style/TextPrimary"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginTop="@dimen/_10sdp"
                                        android:text="@string/password" />

                                    <EditText
                                        android:id="@+id/passwordEt"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:gravity="start"
                                        android:inputType="textPassword" />

                                    <Button
                                        android:id="@+id/loginBtn"
                                        style="@style/TextWhite"
                                        android:layout_width="match_parent"
                                        android:layout_height="40dp"
                                        android:layout_marginTop="20dp"
                                        android:background="@drawable/curved_bg_blue"
                                        android:onClick="@{onClickListener::onClick}"
                                        android:text="@string/login"
                                        android:textAllCaps="false" />

                                    <Button
                                        android:id="@+id/goToMarketBtn"
                                        style="@style/TextPrimary"
                                        android:layout_width="match_parent"
                                        android:layout_height="40dp"
                                        android:layout_marginBottom="10dp"
                                        android:layout_marginTop="10dp"
                                        android:background="@android:color/transparent"
                                        android:onClick="@{onClickListener::onClick}"
                                        android:text="@string/go_to_market"
                                        android:textAllCaps="false" />
                                </LinearLayout>
                            </android.support.v7.widget.CardView>
                        </RelativeLayout>
                    </RelativeLayout>
                </RelativeLayout>
            </ScrollView>
        </RelativeLayout>
    </android.support.design.widget.CoordinatorLayout>
</layout>